# Solana

- [JSON-RPC](https://docs.blockpi.io/build/api-reference/solana/json-rpc.md): This page serves as a Solana API documentation index and lists the available JSON-RPC methods.
- [getAccountInfo](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getaccountinfo.md): Returns all information associated with the account of provided Pubkey
- [getBalance](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getbalance.md): Returns the lamport balance of the account of provided Pubkey
- [getBlock](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblock.md): Returns identity and transaction information about a confirmed block in the ledger
- [getBlockCommitment](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblockcommitment.md): Returns commitment for particular block
- [getBlockHeight](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblockheight.md): Returns the current block height of the node
- [getBlockProduction](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblockproduction.md): Returns recent block production information from the current or previous epoch.
- [getBlocks](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblocks.md): Returns a list of confirmed blocks between two slots
- [getBlocksWithLimit](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblockswithlimit.md): Returns a list of confirmed blocks starting at the given slot
- [getBlockTime](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblocktime.md): Returns the estimated production time of a block.
- [getClusterNodes](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getclusternodes.md): Returns information about all the nodes participating in the cluster
- [getEpochInfo](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getepochinfo.md): Returns information about the current epoch
- [getEpochSchedule](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getepochschedule.md): Returns the epoch schedule information from this cluster
- [getFeeForMessage](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getfeeformessage.md): Get the fee the network will charge for a particular Message
- [getFirstAvailableBlock](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getfirstavailableblock.md): Returns the slot of the lowest confirmed block that has not been purged from the ledger
- [getGenesisHash](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getgenesishash.md): Returns the genesis hash
- [getHealth](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gethealth.md): Returns the current health of the node. A healthy node is one that is within HEALTH\_CHECK\_SLOT\_DISTANCE slots of the latest cluster confirmed slot.
- [getHighestSnapshotSlot](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gethighestsnapshotslot.md): Returns the highest slot information that the node has snapshots for.
- [getIdentity](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getidentity.md): Returns the identity pubkey for the current node
- [getInflationGovernor](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getinflationgovernor.md): Returns the current inflation governor
- [getInflationRate](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getinflationrate.md): Returns the specific inflation values for the current epoch
- [getInflationReward](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getinflationreward.md): Returns the inflation / staking reward for a list of addresses for an epoch
- [getLargestAccounts](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getlargestaccounts.md): Returns the 20 largest accounts, by lamport balance (results may be cached up to two hours)
- [getLatestBlockhash](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getlatestblockhash.md): Returns the latest blockhash
- [getLeaderSchedule](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getleaderschedule.md): Returns the leader schedule for an epoch
- [getMaxRetransmitSlot](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getmaxretransmitslot.md): Get the max slot seen from retransmit stage.
- [getMaxShredInsertSlot](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getmaxshredinsertslot.md): Get the max slot seen from after shred insert.
- [getMinimumBalanceForRentExemption](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getminimumbalanceforrentexemption.md): Returns minimum balance required to make account rent exempt.
- [getMultipleAccounts](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getmultipleaccounts.md): Returns the account information for a list of Pubkeys.
- [getProgramAccounts](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getprogramaccounts.md): Returns all accounts owned by the provided program Pubkey
- [getRecentPerformanceSamples](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getrecentperformancesamples.md): Returns a list of recent performance samples, in reverse slot order. Performance samples are taken every 60 seconds and include the number of transactions and slots that occur in a given time window.
- [getRecentPrioritizationFees](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getrecentprioritizationfees.md): Returns a list of prioritization fees from recent blocks.
- [getSignaturesForAddress](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getsignaturesforaddress.md): Returns signatures for confirmed transactions that include the given address in their accountKeys list. Returns signatures backwards in time from the provided signature or most recent confirmed block
- [getSignatureStatuses](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getsignaturestatuses.md): Returns the statuses of a list of signatures. Each signature must be a txid, the first signature of a transaction.
- [getSlot](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getslot.md): Returns the slot that has reached the given or default commitment level
- [getSlotLeader](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getslotleader.md): Returns the current slot leader
- [getSlotLeaders](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getslotleaders.md): Returns the slot leaders for a given slot range
- [getStakeMinimumDelegation](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getstakeminimumdelegation.md): Returns the stake minimum delegation, in lamports.
- [getSupply](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getsupply.md): Returns information about the current supply.
- [getTokenAccountBalance](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettokenaccountbalance.md): Returns the token balance of an SPL Token account.
- [getTokenAccountsByDelegate](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettokenaccountsbydelegate.md): Returns all SPL Token accounts by approved Delegate.
- [getTokenAccountsByOwner](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettokenaccountsbyowner.md): Returns all SPL Token accounts by token owner.
- [getTokenLargestAccounts](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettokenlargestaccounts.md): Returns the 20 largest accounts of a particular SPL Token type.
- [getTokenSupply](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettokensupply.md): Returns the total supply of an SPL Token type.
- [getTransaction](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettransaction.md): Returns transaction details for a confirmed transaction
- [getTransactionCount](https://docs.blockpi.io/build/api-reference/solana/json-rpc/gettransactioncount.md): Returns the current Transaction count from the ledger
- [getVersion](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getversion.md): Returns the current Solana version running on the node
- [getVoteAccounts](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getvoteaccounts.md): Returns the account info and associated stake for all the voting accounts in the current bank.
- [isBlockhashValid](https://docs.blockpi.io/build/api-reference/solana/json-rpc/isblockhashvalid.md): Returns whether a blockhash is still valid or not
- [minimumLedgerSlot](https://docs.blockpi.io/build/api-reference/solana/json-rpc/minimumledgerslot.md): Returns the lowest slot that the node has information about in its ledger.
- [requestAirdrop](https://docs.blockpi.io/build/api-reference/solana/json-rpc/requestairdrop.md): Requests an airdrop of lamports to a Pubkey
- [sendTransaction](https://docs.blockpi.io/build/api-reference/solana/json-rpc/sendtransaction.md): Submits a signed transaction to the cluster for processing.
- [simulateTransaction](https://docs.blockpi.io/build/api-reference/solana/json-rpc/simulatetransaction.md): Simulate sending a transaction
- [Yellowstone gRPC](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc.md)
- [getBlockHeight](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/suix_getallbalances.md): Retrieves the current block height of the Solana blockchain.
- [getLatestBlockhash](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/getlatestblockhash.md): Retrieves the latest blockhash from the Solana blockchain, along with its associated slot and last valid block height.
- [getSlot](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/getslot.md): Retrieves the current slot number of the Solana blockchain.
- [getVersion](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/getversion.md): Retrieves the version information for both the Geyser gRPC service and the connected Solana node.
- [isBlockhashValid](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/isblockhashvalid.md): Checks whether a given blockhash is still valid on the Solana blockchain.
- [ping](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/ping.md): Sends a number of ping requests to the network to check the connection's responsiveness and status.
- [subscribe](https://docs.blockpi.io/build/api-reference/solana/yellowstone-grpc/subscribe.md): Subscribe establishes a bidirectional streaming connection with the Geyser service to receive real-time updates about Solana blockchain events.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/solana.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
